#ifndef __CIRCLE_H__
#define __CIRCLE_H__

#include <vector>
#include <iostream>
#include "JosephusInterface.h"

using namespace std;

class circle : public JosephusInterface
{
    public:
        circle(){}
        vector<string> getNames();
        vector<string> playGame(int n, int m);
        int reportSafeIndex(int n, int m);
};

#endif
